#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: retry
version: 0.7.6.2
id: retry-0.7.6.2-F70An4kd745GrmEgzGjCpu
key: retry-0.7.6.2-F70An4kd745GrmEgzGjCpu
license: BSD-3-Clause
copyright: Ozgun Ataman, Soostone Inc
maintainer: ozgun.ataman@soostone.com
author: Ozgun Ataman
homepage: http://github.com/Soostone/retry
synopsis: Retry combinators for monadic actions that may fail
description:
    This package exposes combinators that can wrap arbitrary
    monadic actions. They run the action and potentially retry
    running it with some configurable delay for a configurable
    number of times.
    The purpose is to make it easier to work with IO and
    especially network IO actions that often experience temporary
    failure and warrant retrying of the original action. For
    example, a database query may time out for a while, in which
    case we should hang back for a bit and retry the query instead
    of simply raising an exception.
category: Control
abi: 1f15107e267ce77fb062f0b91477cd75
exposed: True
exposed-modules:
    Control.Retry
import-dirs: /usr/lib/ghc-8.4.2/site-local/retry-0.7.6.2
library-dirs: /usr/lib/ghc-8.4.2/site-local/retry-0.7.6.2
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.2/retry-0.7.6.2
hs-libraries: HSretry-0.7.6.2-F70An4kd745GrmEgzGjCpu
depends:
    base-4.11.1.0 data-default-class-0.1.2.0-EBMa9CD2M17D2Emy9Sff6j
    exceptions-0.10.0-BEUiOfEqTrS84QuRfnTPuK ghc-prim-0.5.2.0
    random-1.1-9LLJAJa4iQFLJiLXBOBXBV transformers-0.5.5.0
abi-depends: base-4.11.1.0=ecd125f03c784a67b61c9a8f6dd222e4
             data-default-class-0.1.2.0-EBMa9CD2M17D2Emy9Sff6j=aeefcb631e091cc54fa8215e56494663
             exceptions-0.10.0-BEUiOfEqTrS84QuRfnTPuK=d8523ad36a5e28359b2fcf172784c78f
             ghc-prim-0.5.2.0=a22477c99003a90dd639dbfd07997615
             random-1.1-9LLJAJa4iQFLJiLXBOBXBV=552cb76a5e53a808564c851a382c09ce
             transformers-0.5.5.0=02be5c4dc3fdc926cf1b36bd484a25f8
haddock-interfaces: /usr/share/doc/haskell-retry/html/retry.haddock
haddock-html: /usr/share/doc/haskell-retry/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

